> ## Documentation Index
> Fetch the complete documentation index at: https://otoyinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agreements



## OpenAPI

````yaml https://api.dispersed.com/openapi.json get /v1/agreements
openapi: 3.1.0
info:
  title: Dispersed API
  version: 1.0.0
servers:
  - url: https://api.dispersed.com
security: []
paths:
  /v1/agreements:
    get:
      tags:
        - Agreements
      summary: List Agreements
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 50
            example: 1
          required: false
          name: limit
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 9007199254740991
            example: 1
          required: false
          name: page
          in: query
        - schema:
            type: string
            example: created_at OR -created_at
          required: false
          name: sort
          in: query
        - schema:
            type: string
            example: TERMS_AND_CONDITIONS,PRIVACY_POLICY
          required: false
          name: filter[type]
          in: query
      responses:
        '200':
          description: List of agreements
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListAgreementsResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ListAgreementsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/AgreementResponse'
        limit:
          type: integer
        page:
          type: integer
        total:
          type: integer
      required:
        - data
        - limit
        - page
        - total
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/Error'
      required:
        - error
    AgreementResponse:
      type: object
      properties:
        uuid:
          type:
            - string
            - 'null'
        type:
          type: string
          enum:
            - PRIVACY_POLICY
            - TERMS_AND_CONDITIONS
        version:
          type: integer
        title:
          type: string
        effective_date:
          type:
            - string
            - 'null'
          format: date-time
        content_url:
          type: string
        document_url:
          type:
            - string
            - 'null'
        document_hash:
          type:
            - string
            - 'null'
        applicable_roles:
          type: array
          items:
            type: string
            enum:
              - ADMIN
              - NODE_OPERATOR
              - OPS
              - SERVICE_CONSUMER
              - STAFF
          default: []
        created_by_account_uuid:
          type:
            - string
            - 'null'
        object:
          type: string
          enum:
            - agreement
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - type
        - version
        - title
        - effective_date
        - content_url
        - object
        - created_at
        - updated_at
    Error:
      type: object
      properties:
        code:
          type: string
        details:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
              expected:
                type: string
              input:
                type: string
              keys:
                type: array
                items:
                  type: string
              message:
                type: string
              path:
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
            required:
              - message
              - path
          default: []
        message:
          type: string
        status:
          type: number
        timestamp:
          type: string
      required:
        - code
        - message
        - status
        - timestamp

````